Botan 1.10.17

Classes | Namespaces | Functions
cvc_self.h File Reference
`#include <botan/pkcs8.h>`
`#include <botan/cvc_cert.h>`
`#include <botan/ecdsa.h>`
`#include <botan/asn1_obj.h>`
`#include <botan/cvc_req.h>`
`#include <botan/cvc_ado.h>`

Go to the source code of this file.

## Classes
class | Botan::EAC1_1_CVC_Options

## Namespaces
| Botan
| Botan::CVC_EAC
| Botan::DE_EAC

## Functions
EAC1_1_ADO | Botan::CVC_EAC::create_ado_req (Private_Key const &key, EAC1_1_Req const &req, ASN1_Car const &car, RandomNumberGenerator &rng)
EAC1_1_Req | Botan::CVC_EAC::create_cvc_req (Private_Key const &key, ASN1_Chr const &chr, std::string const &hash_alg, RandomNumberGenerator &rng)
EAC1_1_Req | Botan::DE_EAC::create_cvc_req (Private_Key const &prkey, ASN1_Chr const &chr, std::string const &hash_alg, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::DE_EAC::create_cvca (Private_Key const &key, std::string const &hash, ASN1_Car const &car, bool iris, bool fingerpr, u32bit cvca_validity_months, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::CVC_EAC::create_self_signed_cert (Private_Key const &key, EAC1_1_CVC_Options const &opt, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::DE_EAC::link_cvca (EAC1_1_CVC const &signer, Private_Key const &key, EAC1_1_CVC const &signee, RandomNumberGenerator &rng)
EAC1_1_CVC | Botan::DE_EAC::sign_request (EAC1_1_CVC const &signer_cert, Private_Key const &key, EAC1_1_Req const &signee, u32bit seqnr, u32bit seqnr_len, bool domestic, u32bit dvca_validity_months, u32bit ca_is_validity_months, RandomNumberGenerator &rng)